/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __FENTRY_TEST_SKEL_H__
#define __FENTRY_TEST_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct fentry_test {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test1;
		struct bpf_program *test2;
		struct bpf_program *test3;
		struct bpf_program *test4;
		struct bpf_program *test5;
		struct bpf_program *test6;
		struct bpf_program *test7;
		struct bpf_program *test8;
	} progs;
	struct {
		struct bpf_link *test1;
		struct bpf_link *test2;
		struct bpf_link *test3;
		struct bpf_link *test4;
		struct bpf_link *test5;
		struct bpf_link *test6;
		struct bpf_link *test7;
		struct bpf_link *test8;
	} links;
	struct fentry_test__bss {
		__u64 test1_result;
		__u64 test2_result;
		__u64 test3_result;
		__u64 test4_result;
		__u64 test5_result;
		__u64 test6_result;
		__u64 test7_result;
		__u64 test8_result;
	} *bss;
};

static void
fentry_test__destroy(struct fentry_test *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
fentry_test__create_skeleton(struct fentry_test *obj);

static inline struct fentry_test *
fentry_test__open_opts(const struct bpf_object_open_opts *opts)
{
	struct fentry_test *obj;

	obj = (struct fentry_test *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (fentry_test__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	fentry_test__destroy(obj);
	return NULL;
}

static inline struct fentry_test *
fentry_test__open(void)
{
	return fentry_test__open_opts(NULL);
}

static inline int
fentry_test__load(struct fentry_test *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct fentry_test *
fentry_test__open_and_load(void)
{
	struct fentry_test *obj;

	obj = fentry_test__open();
	if (!obj)
		return NULL;
	if (fentry_test__load(obj)) {
		fentry_test__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
fentry_test__attach(struct fentry_test *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
fentry_test__detach(struct fentry_test *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
fentry_test__create_skeleton(struct fentry_test *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "fentry_test";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "fentry_t.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 8;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "test1";
	s->progs[0].prog = &obj->progs.test1;
	s->progs[0].link = &obj->links.test1;

	s->progs[1].name = "test2";
	s->progs[1].prog = &obj->progs.test2;
	s->progs[1].link = &obj->links.test2;

	s->progs[2].name = "test3";
	s->progs[2].prog = &obj->progs.test3;
	s->progs[2].link = &obj->links.test3;

	s->progs[3].name = "test4";
	s->progs[3].prog = &obj->progs.test4;
	s->progs[3].link = &obj->links.test4;

	s->progs[4].name = "test5";
	s->progs[4].prog = &obj->progs.test5;
	s->progs[4].link = &obj->links.test5;

	s->progs[5].name = "test6";
	s->progs[5].prog = &obj->progs.test6;
	s->progs[5].link = &obj->links.test6;

	s->progs[6].name = "test7";
	s->progs[6].prog = &obj->progs.test7;
	s->progs[6].link = &obj->links.test7;

	s->progs[7].name = "test8";
	s->progs[7].prog = &obj->progs.test8;
	s->progs[7].link = &obj->links.test8;

	s->data_sz = 7280;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\xb0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x17\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\x6e\
\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x31\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\
\x74\x65\x73\x74\x32\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\
\x74\x72\x79\x5f\x74\x65\x73\x74\x33\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\
\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\0\x66\x65\x6e\x74\x72\x79\
\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x35\0\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\x36\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\
\x5f\x74\x65\x73\x74\x37\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\
\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x38\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x62\x73\x73\0\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x2e\x63\0\x4c\x42\
\x42\x30\x5f\x32\0\x4c\x42\x42\x31\x5f\x32\0\x4c\x42\x42\x31\x5f\x34\0\x4c\x42\
\x42\x32\x5f\x32\0\x4c\x42\x42\x32\x5f\x34\0\x4c\x42\x42\x32\x5f\x36\0\x4c\x42\
\x42\x33\x5f\x35\0\x4c\x42\x42\x34\x5f\x36\0\x4c\x42\x42\x35\x5f\x37\0\x4c\x42\
\x42\x36\x5f\x32\0\x4c\x42\x42\x37\x5f\x32\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x74\x65\x73\x74\x31\0\x74\x65\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\0\x74\
\x65\x73\x74\x32\0\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\
\x73\x74\x33\0\x74\x65\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\
\x74\x34\0\x74\x65\x73\x74\x34\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\
\x35\0\x74\x65\x73\x74\x35\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x36\0\
\x74\x65\x73\x74\x36\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x37\0\x74\
\x65\x73\x74\x37\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x38\0\x74\x65\
\x73\x74\x38\x5f\x72\x65\x73\x75\x6c\x74\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\
\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x2e\
\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x32\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\
\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x33\0\x2e\x72\x65\x6c\
\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\
\x65\x73\x74\x34\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\
\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x35\0\x2e\x72\x65\x6c\x66\x65\x6e\
\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x36\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\
\x74\x72\x79\x5f\x74\x65\x73\x74\x37\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\
\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x38\0\x2e\x42\
\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xde\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xec\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\xf3\0\0\0\x04\0\0\0\0\0\
\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\xfa\0\0\0\x04\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\x01\x01\0\0\0\x05\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\x01\x08\0\0\0\x05\
\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\x01\x0f\0\0\0\x05\0\0\0\0\0\0\0\x70\0\0\
\0\0\0\0\0\0\0\0\x01\x16\0\0\0\x06\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\x01\
\x1d\0\0\0\x07\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\x01\x24\0\0\0\x08\0\0\0\0\
\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\x01\x2b\0\0\0\x09\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\
\0\0\0\0\x01\x32\0\0\0\x0a\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\x39\x11\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x01\
\x42\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\x01\x48\x11\0\0\x0c\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\x01\x55\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x70\0\0\x01\x5b\x11\0\0\x0c\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\x01\
\x68\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\x01\x6e\x11\0\0\x0c\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\x01\x7b\x12\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x88\0\0\x01\x81\x11\0\0\x0c\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\
\x01\x8e\x12\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\0\0\x01\x94\x11\0\0\x0c\
\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x08\0\0\x01\xa1\x12\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xa8\0\0\x01\xa7\x11\0\0\x0c\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x08\0\
\0\x01\xb4\x12\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\x01\xba\x11\0\0\
\x0c\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x08\0\0\x01\xc7\x12\0\0\x0a\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x48\0\0\x01\xcd\x11\0\0\x0c\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\
\x08\x79\x21\0\0\0\0\0\0\xb4\x10\0\0\0\0\0\x01\x16\x20\0\x01\0\0\0\x01\xb4\x10\
\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb4\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x41\0\x08\0\0\0\0\xb4\x20\0\0\0\0\0\x01\xb4\x30\
\0\0\0\0\0\x01\x15\x40\0\x01\0\0\0\x03\xb4\x30\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\
\x16\x10\0\x01\0\0\0\x02\xb4\x20\0\0\0\0\0\0\x5c\x23\0\0\0\0\0\0\x18\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x79\x41\0\x08\0\0\0\0\xb4\x20\0\0\0\0\0\x01\xb4\x30\0\0\0\0\0\x01\x16\x40\0\
\x01\0\0\0\x05\xb4\x30\0\0\0\0\0\0\x79\x51\0\0\0\0\0\0\x54\x50\0\0\0\0\0\xff\
\xb4\x40\0\0\0\0\0\x01\x16\x50\0\x01\0\0\0\x04\xb4\x40\0\0\0\0\0\0\x5c\x43\0\0\
\0\0\0\0\x79\x11\0\x10\0\0\0\0\x15\x10\0\x01\0\0\0\x06\xb4\x20\0\0\0\0\0\0\x5c\
\x24\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb4\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x79\x31\0\0\0\0\0\0\x55\x30\
\0\x09\0\0\0\x07\x79\x31\0\x10\0\0\0\0\x56\x30\0\x07\0\0\0\x09\x79\x31\0\x08\0\
\0\0\0\x54\x30\0\0\0\0\0\xff\x56\x30\0\x04\0\0\0\x08\x79\x11\0\x18\0\0\0\0\xb4\
\x20\0\0\0\0\0\x01\x15\x10\0\x01\0\0\0\x0a\xb4\x20\0\0\0\0\0\0\x18\x10\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\x20\0\0\0\0\0\0\x79\x31\0\0\0\0\0\0\x55\x30\0\x0b\0\0\0\x0b\x79\x31\0\x08\
\0\0\0\0\x55\x30\0\x09\0\0\0\x0c\x79\x31\0\x18\0\0\0\0\x56\x30\0\x07\0\0\0\x0e\
\x79\x31\0\x10\0\0\0\0\x54\x30\0\0\0\0\xff\xff\x56\x30\0\x04\0\0\0\x0d\x79\x11\
\0\x20\0\0\0\0\xb4\x20\0\0\0\0\0\x01\x15\x10\0\x01\0\0\0\x0f\xb4\x20\0\0\0\0\0\
\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x79\x31\0\0\0\0\0\0\x55\x30\0\x0d\0\0\0\
\x10\x79\x31\0\x08\0\0\0\0\x55\x30\0\x0b\0\0\0\x11\x79\x31\0\x20\0\0\0\0\x55\
\x30\0\x09\0\0\0\x14\x79\x31\0\x18\0\0\0\0\x56\x30\0\x07\0\0\0\x13\x79\x31\0\
\x10\0\0\0\0\x54\x30\0\0\0\0\xff\xff\x56\x30\0\x04\0\0\0\x12\x79\x11\0\x28\0\0\
\0\0\xb4\x20\0\0\0\0\0\x01\x15\x10\0\x01\0\0\0\x15\xb4\x20\0\0\0\0\0\0\x18\x10\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x79\x11\0\0\0\0\0\0\x55\x10\0\x04\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb7\x20\0\0\0\0\0\x01\x7b\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x79\x11\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x55\x10\0\x04\0\0\0\0\x18\x10\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x01\x7b\x12\0\0\0\0\0\0\xb4\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x17\0\
\0\0\x01\0\0\0\0\0\0\0\x48\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\x1b\0\0\
\0\x01\0\0\0\0\0\0\0\x60\0\0\0\x1d\0\0\0\x01\0\0\0\0\0\0\0\x70\0\0\0\x1f\0\0\0\
\x01\0\0\0\0\0\0\0\x80\0\0\0\x21\0\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\x23\0\0\0\
\x01\0\0\0\0\0\0\0\x18\0\0\0\x25\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\
\x01\xf8\0\0\x01\xf8\0\0\x05\x5b\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x01\0\0\
\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x18\0\0\0\x01\0\0\0\
\x1c\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x20\x0c\0\0\x01\0\0\0\x03\0\0\0\x26\
\x0c\0\0\x01\0\0\0\x03\0\0\0\x2c\x0c\0\0\x01\0\0\0\x03\0\0\0\x32\x0c\0\0\x01\0\
\0\0\x03\0\0\0\x38\x0c\0\0\x01\0\0\0\x03\0\0\0\x3e\x0c\0\0\x01\0\0\0\x03\0\0\0\
\x44\x0c\0\0\x01\0\0\0\x03\0\0\0\x4a\x0c\0\0\x01\0\0\0\x03\0\0\0\x50\x01\0\0\0\
\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\x0f\0\0\0\x04\
\0\0\0\x55\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x69\x0e\0\0\0\0\0\0\x0e\0\0\0\
\x01\0\0\0\x72\x08\0\0\0\0\0\0\x02\0\0\0\x78\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\
\0\x85\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x92\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\
\0\0\x9f\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\xac\x0e\0\0\0\0\0\0\x11\0\0\0\x01\
\0\0\0\xb9\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\xc6\x0e\0\0\0\0\0\0\x11\0\0\0\
\x01\0\0\0\xd3\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\x04\x8e\x0f\0\0\x01\0\0\0\x04\
\0\0\0\x10\0\0\0\0\0\0\0\x04\0\0\x04\x96\x0f\0\0\x08\0\0\0\x40\0\0\0\x12\0\0\0\
\0\0\0\0\x08\0\0\0\x13\0\0\0\x08\0\0\0\x08\0\0\0\x14\0\0\0\x10\0\0\0\x08\0\0\0\
\x15\0\0\0\x18\0\0\0\x08\0\0\0\x16\0\0\0\x20\0\0\0\x08\0\0\0\x17\0\0\0\x28\0\0\
\0\x08\0\0\0\x18\0\0\0\x30\0\0\0\x08\0\0\0\x19\0\0\0\x38\0\0\0\x08\0\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\x74\x31\0\x74\x65\x73\x74\x32\0\
\x74\x65\x73\x74\x33\0\x74\x65\x73\x74\x34\0\x74\x65\x73\x74\x35\0\x74\x65\x73\
\x74\x36\0\x74\x65\x73\x74\x37\0\x74\x65\x73\x74\x38\0\x63\x68\x61\x72\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x5f\x5f\x75\x36\x34\0\x74\x65\x73\x74\x31\x5f\
\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\0\
\x74\x65\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x34\x5f\x72\
\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x35\x5f\x72\x65\x73\x75\x6c\x74\0\x74\
\x65\x73\x74\x36\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x37\x5f\x72\x65\
\x73\x75\x6c\x74\0\x74\x65\x73\x74\x38\x5f\x72\x65\x73\x75\x6c\x74\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x37\x32\x2e\
\x31\x33\x2e\x31\x2e\x65\x6c\x38\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\
\x31\x38\x2e\x30\x2d\x33\x37\x32\x2e\x31\x33\x2e\x31\x2e\x65\x6c\x38\x5f\x36\
\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x2e\x63\0\x69\x6e\x74\
\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x31\x2c\x20\x69\x6e\
\x74\x20\x61\x29\0\x09\x74\x65\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\
\x20\x61\x20\x3d\x3d\x20\x31\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x28\x74\x65\x73\x74\x32\x2c\x20\x69\x6e\x74\x20\x61\x2c\x20\x5f\x5f\x75\
\x36\x34\x20\x62\x29\0\x09\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\x20\
\x3d\x20\x61\x20\x3d\x3d\x20\x32\x20\x26\x26\x20\x62\x20\x3d\x3d\x20\x33\x3b\0\
\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x33\x2c\
\x20\x63\x68\x61\x72\x20\x61\x2c\x20\x69\x6e\x74\x20\x62\x2c\x20\x5f\x5f\x75\
\x36\x34\x20\x63\x29\0\x09\x74\x65\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\x20\
\x3d\x20\x61\x20\x3d\x3d\x20\x34\x20\x26\x26\x20\x62\x20\x3d\x3d\x20\x35\x20\
\x26\x26\x20\x63\x20\x3d\x3d\x20\x36\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x28\x74\x65\x73\x74\x34\x2c\x20\x76\x6f\x69\x64\x20\x2a\x61\x2c\
\x20\x63\x68\x61\x72\x20\x62\x2c\x20\x69\x6e\x74\x20\x63\x2c\x20\x5f\x5f\x75\
\x36\x34\x20\x64\x29\0\x09\x74\x65\x73\x74\x34\x5f\x72\x65\x73\x75\x6c\x74\x20\
\x3d\x20\x61\x20\x3d\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x37\x20\x26\x26\
\x20\x62\x20\x3d\x3d\x20\x38\x20\x26\x26\x20\x63\x20\x3d\x3d\x20\x39\x20\x26\
\x26\x20\x64\x20\x3d\x3d\x20\x31\x30\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x28\x74\x65\x73\x74\x35\x2c\x20\x5f\x5f\x75\x36\x34\x20\x61\x2c\
\x20\x76\x6f\x69\x64\x20\x2a\x62\x2c\x20\x73\x68\x6f\x72\x74\x20\x63\x2c\x20\
\x69\x6e\x74\x20\x64\x2c\x20\x5f\x5f\x75\x36\x34\x20\x65\x29\0\x09\x74\x65\x73\
\x74\x35\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x61\x20\x3d\x3d\x20\x31\x31\
\x20\x26\x26\x20\x62\x20\x3d\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x31\x32\
\x20\x26\x26\x20\x63\x20\x3d\x3d\x20\x31\x33\x20\x26\x26\x20\x64\x20\x3d\x3d\
\x20\x31\x34\x20\x26\x26\0\x09\x09\x65\x20\x3d\x3d\x20\x31\x35\x3b\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x36\x2c\x20\x5f\
\x5f\x75\x36\x34\x20\x61\x2c\x20\x76\x6f\x69\x64\x20\x2a\x62\x2c\x20\x73\x68\
\x6f\x72\x74\x20\x63\x2c\x20\x69\x6e\x74\x20\x64\x2c\x20\x76\x6f\x69\x64\x20\
\x2a\x20\x65\x2c\x20\x5f\x5f\x75\x36\x34\x20\x66\x29\0\x09\x74\x65\x73\x74\x36\
\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x61\x20\x3d\x3d\x20\x31\x36\x20\x26\
\x26\x20\x62\x20\x3d\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x31\x37\x20\x26\
\x26\x20\x63\x20\x3d\x3d\x20\x31\x38\x20\x26\x26\x20\x64\x20\x3d\x3d\x20\x31\
\x39\x20\x26\x26\0\x09\x09\x65\x20\x3d\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\
\x32\x30\x20\x26\x26\x20\x66\x20\x3d\x3d\x20\x32\x31\x3b\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x37\x2c\x20\x73\x74\x72\x75\
\x63\x74\x20\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x5f\
\x74\x20\x2a\x61\x72\x67\x29\0\x09\x69\x66\x20\x28\x21\x61\x72\x67\x29\0\x09\
\x09\x74\x65\x73\x74\x37\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x31\x3b\0\x69\
\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x38\x2c\x20\
\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\
\x65\x73\x74\x5f\x74\x20\x2a\x61\x72\x67\x29\0\x09\x69\x66\x20\x28\x61\x72\x67\
\x2d\x3e\x61\x20\x3d\x3d\x20\x30\x29\0\x09\x09\x74\x65\x73\x74\x38\x5f\x72\x65\
\x73\x75\x6c\x74\x20\x3d\x20\x31\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\
\x73\x73\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\
\x5f\x74\x65\x73\x74\x31\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\
\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\
\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x33\0\x66\x65\x6e\x74\x72\
\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\0\x66\
\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x35\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x36\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\
\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x37\0\x66\x65\x6e\x74\x72\x79\x2f\x62\
\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x38\0\0\0\0\0\0\xeb\
\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x84\0\0\0\x84\0\0\x03\xd4\0\0\x04\x58\0\0\0\
\0\0\0\0\x08\0\0\x04\x9b\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\x04\xb3\0\0\0\x01\0\0\
\0\0\0\0\0\x06\0\0\x04\xcb\0\0\0\x01\0\0\0\0\0\0\0\x07\0\0\x04\xe3\0\0\0\x01\0\
\0\0\0\0\0\0\x08\0\0\x04\xfb\0\0\0\x01\0\0\0\0\0\0\0\x09\0\0\x05\x13\0\0\0\x01\
\0\0\0\0\0\0\0\x0a\0\0\x05\x2b\0\0\0\x01\0\0\0\0\0\0\0\x0b\0\0\x05\x43\0\0\0\
\x01\0\0\0\0\0\0\0\x0c\0\0\0\x10\0\0\x04\x9b\0\0\0\x04\0\0\0\0\0\0\0\xe0\0\0\
\x01\x65\0\0\x2c\x05\0\0\0\x10\0\0\0\xe0\0\0\x01\x80\0\0\x34\x13\0\0\0\x20\0\0\
\0\xe0\0\0\x01\x80\0\0\x34\x0f\0\0\0\x38\0\0\0\xe0\0\0\x01\x65\0\0\x2c\x05\0\0\
\x04\xb3\0\0\0\x07\0\0\0\0\0\0\0\xe0\0\0\x01\x98\0\0\x4c\x05\0\0\0\x10\0\0\0\
\xe0\0\0\x01\xbc\0\0\x54\x18\0\0\0\x28\0\0\0\xe0\0\0\x01\x98\0\0\x4c\x05\0\0\0\
\x30\0\0\0\xe0\0\0\x01\xbc\0\0\x54\x13\0\0\0\x40\0\0\0\xe0\0\0\x01\xbc\0\0\x54\
\x18\0\0\0\x48\0\0\0\xe0\0\0\x01\xbc\0\0\x54\x0f\0\0\0\x60\0\0\0\xe0\0\0\x01\
\x98\0\0\x4c\x05\0\0\x04\xcb\0\0\0\x07\0\0\0\0\0\0\0\xe0\0\0\x01\xde\0\0\x6c\
\x05\0\0\0\x38\0\0\0\xe0\0\0\x02\x0a\0\0\x74\x13\0\0\0\x50\0\0\0\xe0\0\0\x02\
\x0a\0\0\x74\x18\0\0\0\x58\0\0\0\xe0\0\0\x01\xde\0\0\x6c\x05\0\0\0\x60\0\0\0\
\xe0\0\0\x02\x0a\0\0\x74\x18\0\0\0\x78\0\0\0\xe0\0\0\x02\x0a\0\0\x74\x0f\0\0\0\
\x90\0\0\0\xe0\0\0\x01\xde\0\0\x6c\x05\0\0\x04\xe3\0\0\0\x08\0\0\0\0\0\0\0\xe0\
\0\0\x02\x36\0\0\x8c\0\0\0\0\x08\0\0\0\xe0\0\0\x02\x36\0\0\x8c\x05\0\0\0\x10\0\
\0\0\xe0\0\0\x02\x6b\0\0\x94\x20\0\0\0\x18\0\0\0\xe0\0\0\x02\x36\0\0\x8c\x05\0\
\0\0\x20\0\0\0\xe0\0\0\x02\x6b\0\0\x94\x2a\0\0\0\x50\0\0\0\xe0\0\0\x02\x6b\0\0\
\x94\x39\0\0\0\x60\0\0\0\xe0\0\0\x02\x6b\0\0\x94\x0f\0\0\0\x78\0\0\0\xe0\0\0\
\x02\x36\0\0\x8c\x05\0\0\x04\xfb\0\0\0\x0a\0\0\0\0\0\0\0\xe0\0\0\x02\xaa\0\0\
\xac\0\0\0\0\x08\0\0\0\xe0\0\0\x02\xaa\0\0\xac\x05\0\0\0\x10\0\0\0\xe0\0\0\x02\
\xe9\0\0\xb4\x19\0\0\0\x18\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xe0\0\0\
\x02\xe9\0\0\xb4\x19\0\0\0\x28\0\0\0\xe0\0\0\x02\xaa\0\0\xac\x05\0\0\0\x30\0\0\
\0\xe0\0\0\x02\xe9\0\0\xb4\x37\0\0\0\x60\0\0\0\xe0\0\0\x03\x2d\0\0\xb8\x05\0\0\
\0\x70\0\0\0\xe0\0\0\x02\xe9\0\0\xb4\x0f\0\0\0\x88\0\0\0\xe0\0\0\x02\xaa\0\0\
\xac\x05\0\0\x05\x13\0\0\0\x0c\0\0\0\0\0\0\0\xe0\0\0\x03\x38\0\0\xd0\0\0\0\0\
\x08\0\0\0\xe0\0\0\x03\x38\0\0\xd0\x05\0\0\0\x10\0\0\0\xe0\0\0\x03\x81\0\0\xd8\
\x19\0\0\0\x18\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xe0\0\0\x03\x81\0\0\
\xd8\x19\0\0\0\x28\0\0\0\xe0\0\0\x03\x38\0\0\xd0\x05\0\0\0\x30\0\0\0\xe0\0\0\
\x03\x81\0\0\xd8\x37\0\0\0\x38\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\xe0\0\
\0\x03\x81\0\0\xd8\x37\0\0\0\x70\0\0\0\xe0\0\0\x03\xc5\0\0\xdc\x18\0\0\0\x80\0\
\0\0\xe0\0\0\x03\x81\0\0\xd8\x0f\0\0\0\x98\0\0\0\xe0\0\0\x03\x38\0\0\xd0\x05\0\
\0\x05\x2b\0\0\0\x04\0\0\0\0\0\0\0\xe0\0\0\x03\xe3\0\x01\x04\x05\0\0\0\x08\0\0\
\0\xe0\0\0\x04\x16\0\x01\x0c\x06\0\0\0\x10\0\0\0\xe0\0\0\x04\x21\0\x01\x10\x10\
\0\0\0\x30\0\0\0\xe0\0\0\x03\xe3\0\x01\x04\x05\0\0\x05\x43\0\0\0\x05\0\0\0\0\0\
\0\0\xe0\0\0\x04\x35\0\x01\x28\x05\0\0\0\x08\0\0\0\xe0\0\0\x04\x68\0\x01\x30\
\x0b\0\0\0\x10\0\0\0\xe0\0\0\x04\x68\0\x01\x30\x06\0\0\0\x18\0\0\0\xe0\0\0\x04\
\x7a\0\x01\x34\x10\0\0\0\x38\0\0\0\xe0\0\0\x04\x35\0\x01\x28\x05\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x02\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\x08\0\0\0\0\0\0\x03\x90\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x06\x98\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\x29\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\xe0\0\0\0\
\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\
\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x50\0\0\0\0\0\0\0\xa0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x59\0\0\0\x01\0\0\0\0\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xf0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x71\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x78\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x89\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\x10\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\xa1\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\
\xb8\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\xb9\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\xf8\0\0\0\0\0\
\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xd1\0\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x40\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\xd9\0\0\0\x08\0\0\0\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x48\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\xda\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0a\x48\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\x01\xf6\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x0a\x58\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\x02\x12\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x0a\x68\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\x02\x2e\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\
\x78\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\x02\x4a\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x88\0\0\
\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\
\x66\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x98\0\0\0\0\0\0\
\0\x10\0\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x82\0\0\
\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xa8\0\0\0\0\0\0\0\x10\0\
\0\0\x02\0\0\0\x09\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x9e\0\0\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xb8\0\0\0\0\0\0\0\x10\0\0\0\x02\
\0\0\0\x0a\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\xba\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xc8\0\0\0\0\0\0\x07\x6b\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\xbf\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x12\x38\0\0\0\0\0\0\x04\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __FENTRY_TEST_SKEL_H__ */
